Bug 205029 - Review Request: autobuild-applet - a GNOME applet for monitoring Test-AutoBuild build status
Review Request: autobuild-applet - a GNOME applet for monitoring Test-AutoBui...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-02 12:27 EDT by Daniel Berrange
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 14:42:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2006-09-02 12:27:19 EDT
Spec URL: http://berrange.com/~dan/fedora-review/autobuild-applet/autobuild-applet.spec
SRPM URL: http://berrange.com/~dan/fedora-review/autobuild-applet/autobuild-applet-1.0.3-1.src.rpm
Description: AutoBuild Applet provides a GNOME panel applet for monitoring the status of Test-AutoBuild automated build engines via their RSS feed. It can monitor one or more build engines, and provides a small icon in the panel showing whether latest build suceeded or failed. It also provides a summary window showing fine grained per-module build status. Test-AutoBuild itself is not yet submitted to Fedora Extras, but will be in the near future. The applet itself, however, has no build or runtime dependancies on Test-AutoBuild since it interacts via the remote RSS feed. The applet is primarily Python / PyGTK, however, it has a small python C module to access libegg panel APIs.

This is my first contribution to Fedora Extras, hence I require someone to sponser this submission.
Comment 1 Brian Pepple 2006-09-02 15:52:24 EDT
Couple of quick items:

1. Desktop file is incorrectly handled.  Refer to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755
2. Duplicate BuildRequires: gtk2-devel (provided by libgnomeui-devel)
3. Unnecessary Requires: python, libgnome, libgnomeui. sonames from devel
packages should pull these in.
4. Missing necessary requires on GConf for schemas installation, and probably
should use the standard gconf scriptlets for FE packages.  Refer to
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?action=show&redirect=ScriptletSnippets#head-6c2101d8f810cc95c677c8c27f43573b0bc23cb1


Minor:
1. Preferred buildroot.
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f196e7b2477c2f5dd97ef64e8eacddfb517f1aa1

If I get some free time this weekend I'll try to do a more formal review.
Comment 2 Daniel Berrange 2006-09-02 18:06:12 EDT
Updated SRPM at
http://berrange.com/~dan/fedora-review/autobuild-applet/autobuild-applet-1.0.3-2.src.rpm
Updated SPEC at
http://berrange.com/~dan/fedora-review/autobuild-applet/autobuild-applet.spec

Addressed the issues:

1. Fixed the desktop file handling to be compliant with standards
2. Remove duplicate buildrequires
3. Removed the unnecessary requires
4. Added missing requires on gconf & missing pre/preun scripts to comply with
standards. NB, I didn't put in the 'killall -HUP gconfd-2' bit, because
according to bug 173869 this should no longer be needed 
5. Fixed up BuildRoot tag.

I also added patch to deal with a gconf handling bug in upstream
autobuild-applet sources which was exposed when I tested on FC6test2.
Comment 3 Brian Pepple 2006-09-04 11:06:46 EDT
MD5Sums:
f199953fc6db531716ede26b2a096480  autobuild-applet-1.0.3.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* Builds in mock fine

Minor:
* rpmlint gives the following error:
  W: autobuild-applet non-conffile-in-etc
/etc/gconf/schemas/autobuild-applet.schemas


+1 APPROVE, and I'll also be you sponsor.

http://fedoraproject.org/wiki/Extras/Contributors#head-bb3314e7b80fd98f037edd46f6d1efafbb611752
Comment 4 Brian Pepple 2006-09-07 10:03:32 EDT
Has this been built yet?  If so, this bug can be closed.

http://fedoraproject.org/wiki/Extras/Contributors#head-6b9db491a77039613eb0ba70b30fedb4b73eb7b9
Comment 5 Daniel Berrange 2006-09-07 14:42:50 EDT
There was a little delay before I got access to plague. The RPM finally got
built yesterday and should now be in rawhide

Note You need to log in before you can comment on or make changes to this bug.